<head>
    <title>LSV - Discussion</title>
</head>

{% extends "base.html" %}
{% load static %}

{% block content %}

    <div>
        <h2 class="text-uppercase" style="text-align: center"> {{ discussion.theme}} </h2>

        {% if discussion.author == user %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:edit_discussion" discussion.id %}"' type="button">Edit discussion theme</button>
        </div>
        {% endif %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
        <button onclick='location.href="{% url "club:reaction_discussion" discussion.id %}"' type="button">React on this theme</button>
        </div>
        <div class="actuality-image-big">
        {% if discussion.image %}
            <img src="{{ discussion.image.url }}" class="actuality-image-big" alt="Item image">
        {% endif %}
        </div>

        <div class="actuality-text">
            <h4 style="text-align: justify">{{ discussion.post}}</h4>
        </div>

        <p style="text-align: right"> Created by: {{ discussion.author }} </p>
        <p style="text-align: right"> Published: {{ discussion.posted|date:'j-n-Y (H:i )' }} </p>

        {% if not discussion.modified == discussion.posted %}
        <p style="text-align: right"> Modified: {{ discussion.modified|date:'j-n-Y (H:i)' }}</p>
        {% endif %}
        <p style="text-align: right"> Number of reactions: {{ sum_reactions }} </p>
    </div>

    <div>
        {% if reactions%}
        <h2 class="text-uppercase" style="text-align: center"> Reactions: </h2>

            {% for reaction in reactions %}
            <div class="actuality-b">
                <div class="actuality-text">
                    <h4>{{ reaction.post}}</h4>
                </div>

                <p style="text-align: right"> Created by: {{ reaction.author }} </p>
                <p style="text-align: right"> Published: {{ reaction.posted|date:'j-n-Y (H:i )' }} </p>

            </div>
            {% endfor %}
        {% endif %}
    </div>

{% endblock %}
